cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michał Ziemski (JIRA) <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-6437) Datastax C# driver not able to execute CAS after upgrade 2.0.2 -> 2.0.3
Date Tue, 03 Dec 2013 15:41:35 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-6437?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13837804#comment-13837804
] 

Michał Ziemski commented on CASSANDRA-6437:
-------------------------------------------

Isn't DataStax C# Driver release 1.0.2 a v2 driver?

> Datastax C# driver not able to execute CAS after upgrade 2.0.2 -> 2.0.3
> -----------------------------------------------------------------------
>
>                 Key: CASSANDRA-6437
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-6437
>             Project: Cassandra
>          Issue Type: Bug
>          Components: Core, Drivers (now out of tree)
>         Environment: 4 node Centod 6.4 x64 casandra 2.0.3 (datastax community)
>            Reporter: Michał Ziemski
>
> The following code:
>   var cl = Cluster.Builder().WithConnectionString(ConfigurationManager.ConnectionStrings.["Cassandra"].ConnectionString).Build();
>   var  ses = cl.Connect();
>   ses.Execute("INSERT INTO appsrv(id) values ('abc') IF NOT EXISTS", ConsistencyLevel.Quorum);
> Worked fine with cassandra 2.0.2
> After upgrading to 2.0.3 I get an error stating that conditional updates are not supported
by the protocol version and I should upgrade to v2.
> I'm not really sure if it's a problem with C* or the Datastax C# Driver.
> The error appeared afeter upgrading C* so I decided to post it here.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message